package com.hongyegroup.cpt_ewallet.ui

import android.content.Intent
import android.os.Bundle
import com.guadou.cs_cptservices.base.activity.YYBaseVDBActivity
import com.guadou.cs_cptservices.popup.CustomNormalPopup
import com.guadou.lib_baselib.bean.DataBindingConfig
import com.guadou.lib_baselib.utils.CommUtils
import com.guadou.lib_baselib.utils.KeyboardUtils
import com.hongyegroup.cpt_ewallet.BR
import com.hongyegroup.cpt_ewallet.R
import com.hongyegroup.cpt_ewallet.databinding.ActivitySalaryCardAddTwoBinding
import com.hongyegroup.cpt_ewallet.mvvm.SalaryAddTwoViewModel
import com.lxj.xpopup.XPopup
import dagger.hilt.android.AndroidEntryPoint

/**
 * 添加银行卡的第二步
 */
@AndroidEntryPoint
class SalaryCardAddStepTwoActivity : YYBaseVDBActivity<SalaryAddTwoViewModel, ActivitySalaryCardAddTwoBinding>() {

    companion object {
        fun startInstance() {
            val context = CommUtils.getContext()
            val intent = Intent(context, SalaryCardAddStepTwoActivity::class.java)
            intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK)
            context.startActivity(intent)
        }
    }

    override fun getDataBindingConfig(): DataBindingConfig {
        return DataBindingConfig(R.layout.activity_salary_card_add_two, BR.viewModel, mViewModel)
            .addBindingParams(BR.click, ClickProxy())
    }

    override fun init(savedInstanceState: Bundle?) {
        setStatusBarBlackText()
    }

    override fun startObserve() {

    }

    /**
     * DataBinding事件处理
     */
    inner class ClickProxy {

        //展示提示弹窗
        fun showTips() {
            KeyboardUtils.hideSoftInput(mActivity)

            XPopup.Builder(mActivity)
                .asCustom(
                    CustomNormalPopup(
                        mActivity, "手机号说明",
                        "银行预留的手机号是办理该银行\n卡时所填写的手机号码。\n没有预留、手机号忘记或者已停\n用，请联系银行客服更新处理", "知道了"
                    )
                )
                .show()
        }

        //下一步
        fun gotoNext() {
            KeyboardUtils.hideSoftInput(mActivity)
            SalaryCardAddStepThreeActivity.startInstance()
        }

    }
}