package com.hongyegroup.cpt_ewallet.widget

import android.annotation.SuppressLint
import android.content.Context
import android.view.View
import android.widget.ImageView
import androidx.recyclerview.widget.RecyclerView
import com.guadou.lib_baselib.ext.click
import com.guadou.lib_baselib.ext.vertical
import com.hongyegroup.cpt_ewallet.R
import com.hongyegroup.cpt_ewallet.bean.BankCardBean
import com.lxj.easyadapter.EasyAdapter
import com.lxj.easyadapter.MultiItemTypeAdapter
import com.lxj.easyadapter.ViewHolder
import com.lxj.xpopup.core.CenterPopupView
import com.lxj.xpopup.util.XPopupUtils

/**
 * MC提交错误提示弹窗
 */
@SuppressLint("ViewConstructor")
class ChooseBankCardPopup(
    context: Context,
    private val addNewCardAction: (() -> Unit)? = null,
    private val chooseCardAction: ((pos: Int) -> Unit)? = null,
) : CenterPopupView(context) {

    private lateinit var rvBankCard: RecyclerView
    private val mDatas = mutableListOf<BankCardBean>()

    override fun getImplLayoutId(): Int = R.layout.popup_choose_bank_card

    override fun onCreate() {
        super.onCreate()

        findViewById<View>(R.id.ll_add_card).click {
            //添加银行卡
            addNewCardAction?.invoke()
            dismiss()
        }
        findViewById<View>(R.id.iv_popup_close).click {
            dismiss()
        }

        initData()

        rvBankCard = findViewById(R.id.rv_bank_card)
        initRV()
    }

    private fun initData() {
        mDatas.add(BankCardBean().apply {
            name = "平安银行 储蓄卡(尾号 5788)"
        })
        mDatas.add(BankCardBean().apply {
            name = "建设银行卡 储蓄卡(尾号 5788)"
        })
        mDatas.add(BankCardBean().apply {
            name = "招商银行 储蓄卡(尾号 5788)"
        })
        mDatas.add(BankCardBean().apply {
            name = "平安银行 储蓄卡(尾号 5788)"
        })
        mDatas.add(BankCardBean().apply {
            name = "中信银行 储蓄卡(尾号 5788)"
        })
    }

    private fun initRV() {
        val mAdapter: EasyAdapter<BankCardBean> = object : EasyAdapter<BankCardBean>(mDatas, R.layout.item_chosoe_bank_card) {
            override fun bind(holder: ViewHolder, item: BankCardBean, position: Int) {
                holder.setText(R.id.tv_bank_name, item.name)
                holder.getView<ImageView>(R.id.iv_bank_logo).setImageResource(R.drawable.jsyh)
            }
        }
        mAdapter.setOnItemClickListener(object : MultiItemTypeAdapter.SimpleOnItemClickListener() {
            override fun onItemClick(view: View, holder: RecyclerView.ViewHolder, position: Int) {
                chooseCardAction?.invoke(position)
                dismiss()

            }
        })

        rvBankCard.vertical().apply {
            adapter = mAdapter
        }
    }

    //如果不设置可能出现xml的背景圆角无法正常显示
    override fun getMaxWidth(): Int {
        return if (popupInfo.maxWidth == 0) (XPopupUtils.getWindowWidth(context) * 0.99f).toInt() else popupInfo.maxWidth
    }

}